package com.fzm.mall.server.admin.pay;

/**
 * @author wulixian
 * @since 2021/5/13
 */
public enum PayType {

    /**
     * 支付宝
     */
    PAY_TYPE_ALI(1),

    /**
     * 微信
     */
    PAY_TYPE_WECHAT(2),
    ;

    Integer code;

    PayType(Integer code) {
        this.code = code;
    }

    public static PayType getByCode(Integer code) {
        PayType[] payTypeArray = values();
        for (PayType payType : payTypeArray) {
            if (payType.code.equals(code)) {
                return payType;
            }
        }
        return null;
    }
}
